Bug 151904 - Display settings video
Display settings video
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: system-config-display (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Adam Jackson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-03-23 07:59 EST by Scott Rippon
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-04-03 14:22:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Scott Rippon 2005-03-23 07:59:21 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.3; Linux) (KHTML, like Gecko)

Description of problem:
In Gnome when I try to change the video card (from: "VESA driver (generic)" 
to: "SD Trio3D/2X") using the 'Display Settings' (Hardware tab) I get notified 
that the display settings have been updated (/etc/X11/xorg.conf).  But when I 
look at the file (cat /etc/X11/xorg.conf |more) the settings haven't been 
modified. 

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. In Gnome from the 'Applications' menu select 'System Settings > Display'. 
2. Select the 'Hardware' tab and under 'Video Card' click the [Configure...] 
button. 
3. Selected 'S3 Trio3D/2x' from the list and clicked the [OK] button. 
4. Click the [OK] button to close the 'Display Settings' window. 
5. Click the [OK] button on the 'Display settings changed' notification 
window. 
6. Restart. 
7. Open terminal and look at /etc/X11/xorg.conf file. 

Actual Results:  After selecting the S3 Trio3D/2X and clicking [OK] the text following the 
'Video Card' label did not update.  If I click [Configure...] button again the 
S3 card is still selected. 
 
After closing the 'Display Settings' window and looking at the xorg.conf file 
the device section (eg. Section "Device") hasn't been updated. 

Expected Results:  1. The 'Video Card' label should have been updated after selecting different 
card. 
 
2. The xorg.conf file should have been updated as the notification window 
stated. 

Additional info:

I've tried logging in as root, as well as an ordinary account, but the 
xorg.conf file doesn't update under either.
Comment 1 Ray Strode [halfline] 2005-03-23 11:13:00 EST
Hi Scott,
 
I'm going to reassign this bug to system-config-display.
Comment 2 Scott Rippon 2005-04-03 06:49:35 EDT
Dear sandmann@redhat.com

Whilst this bug is being investigated what values ("Driver", "VendorName", and
"BoardName") can I put in the /etc/X11/xorg.conf file to change it to my S3
Trio3D/2X video card?

Thanks in advance.

Kind regards,
Scott Rippon.
Comment 3 Adam Jackson 2006-03-22 15:09:04 EST
> Whilst this bug is being investigated what values ("Driver", "VendorName", and
> "BoardName") can I put in the /etc/X11/xorg.conf file to change it to my S3
> Trio3D/2X video card?

change the Driver name to "s3".
Comment 4 Matthew Miller 2006-07-10 19:34:49 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 5 Adam Jackson 2007-04-03 14:22:16 EDT
NEEDINFO timeout, resolving as INSUFFICIENT_DATA.  If you are still experiencing
this bug in FC6 or FC7, please reopen.  Thanks for the report!

Note You need to log in before you can comment on or make changes to this bug.